### Enumeration

# Vte EraseBinding

#### Declaration

    enum Vte.EraseBinding

#### Description [src]

An enumerated type which can be used to indicate which string the terminal should send to an application when the user presses the Delete or Backspace keys.

#### Members

`VTE_ERASE_AUTO`

  For backspace, attempt to determine the right value from the terminal’s IO settings. For delete, use the control sequence.

  - Value: `0`
  - Available since: 3.91
`VTE_ERASE_ASCII_BACKSPACE`

  Send an ASCII backspace character (0x08).

  - Value: `1`
  - Available since: 3.91
`VTE_ERASE_ASCII_DELETE`

  Send an ASCII delete character (0x7F).

  - Value: `2`
  - Available since: 3.91
`VTE_ERASE_DELETE_SEQUENCE`

  Send the “@`7`” control sequence.

  - Value: `3`
  - Available since: 3.91
`VTE_ERASE_TTY`

  Send terminal’s “erase” setting.

  - Value: `4`
  - Available since: 3.91